summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoredward-p2019-03-26 11:32:48 +0800
committeredward-p2019-03-26 11:32:48 +0800
commitc7ecad14badb0289162af6c65567fc798c9c7360 (patch)
treec7aa4f5d6fc28c78244d441725e994f3ea4bfb9d
downloadaur-c7ecad14badb0289162af6c65567fc798c9c7360.tar.gz
initial commit
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD39
2 files changed, 61 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f30ce5603b0
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = archwrt-ss.sh-git
+ pkgdesc = A simple Shadowsocks transparent proxy setup script by archwrt.
+ pkgver = r5.7eb66f8
+ pkgrel = 1
+ url = https://github.com/Chion82/netfilter-full-cone-nat
+ arch = x86_64
+ license = GPL
+ makedepends = git
+ depends = dnsproxy-adguard
+ depends = shadowsocks-libev
+ depends = dnsmasq
+ depends = ipset
+ depends = iptables
+ depends = bind-tools
+ optdepends = simple-obfs: shadowsocks-libev plugin
+ optdepends = shadowsocks-v2ray-plugin: shadowsocks-libev plugin
+ backup = opt/archwrt-ss/archwrt-ss.conf
+ source = archwrt-ss.sh-git::git+https://github.com/archwrt/archwrt-ss.sh.git
+ sha256sums = SKIP
+
+pkgname = archwrt-ss.sh-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2350f671598
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Edward Pacman <edward@edward-p.xyz>
+
+pkgname=archwrt-ss.sh-git
+pkgver=r5.7eb66f8
+pkgrel=1
+pkgdesc="A simple Shadowsocks transparent proxy setup script by archwrt."
+arch=('x86_64')
+url="https://github.com/Chion82/netfilter-full-cone-nat"
+license=('GPL')
+depends=(dnsproxy-adguard shadowsocks-libev dnsmasq ipset iptables bind-tools)
+backup=(opt/archwrt-ss/archwrt-ss.conf)
+optdepends=('simple-obfs: shadowsocks-libev plugin'
+ 'shadowsocks-v2ray-plugin: shadowsocks-libev plugin')
+makedepends=(git)
+
+source=("${pkgname}::git+https://github.com/archwrt/archwrt-ss.sh.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/${pkgname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ # Install dkms.conf
+ cd "${pkgname}"
+ install -Dm755 archwrt-ss.sh "${pkgdir}/usr/bin/archwrt-ss.sh"
+ install -Dm644 archwrt-ss.conf "${pkgdir}/opt/archwrt-ss/archwrt-ss.conf"
+ install -Dm644 archwrt-ss.service "${pkgdir}/usr/lib/systemd/system/archwrt-ss.service"
+}
+
+
+
+
+
+